Source: rust-smol
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo (>= 25),
 librust-anyhow-1+default-dev <!nocheck>,
 librust-async-channel-1+default-dev <!nocheck>,
 librust-async-executor-1+default-dev <!nocheck>,
 librust-async-fs-1+default-dev <!nocheck>,
 librust-async-io-1+default-dev <!nocheck>,
 librust-async-lock-2+default-dev <!nocheck>,
 librust-async-net-1+default-dev <!nocheck>,
 librust-async-process-1+default-dev <!nocheck>,
 librust-blocking-1+default-dev <!nocheck>,
 librust-ctrlc-3+default-dev <!nocheck>,
 librust-doc-comment-0.3+default-dev <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-futures-lite-1+default-dev <!nocheck>,
 librust-http-0.2+default-dev <!nocheck>,
 librust-hyper-0.14+client-dev <!nocheck>,
 librust-hyper-0.14+http1-dev <!nocheck>,
 librust-hyper-0.14+server-dev <!nocheck>,
 librust-hyper-0.14+stream-dev <!nocheck>,
 librust-inotify-0-dev (<< 0.11) <!nocheck>,
 librust-native-tls-0.2+default-dev <!nocheck>,
 librust-nix-0+default-dev (<< 0.26) <!nocheck>,
 librust-nix-0+default-dev (>= 0.23) <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-signal-hook-0.3+default-dev <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-timerfd-1+default-dev <!nocheck>,
 librust-tokio-1+rt-multi-thread-dev <!nocheck>,
 librust-url-2+default-dev <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/rust-smol.git
Vcs-Browser: https://salsa.debian.org/debian/rust-smol
Homepage: https://github.com/smol-rs/smol
Rules-Requires-Root: no

Package: librust-smol-dev
Architecture: any
Multi-Arch: same
Depends:
 librust-async-channel-1+default-dev,
 librust-async-executor-1+default-dev,
 librust-async-fs-1+default-dev,
 librust-async-io-1+default-dev,
 librust-async-lock-2+default-dev,
 librust-async-net-1+default-dev,
 librust-async-process-1+default-dev,
 librust-blocking-1+default-dev,
 librust-futures-lite-1+default-dev,
 librust-once-cell-1+default-dev,
 ${misc:Depends},
Provides:
 librust-smol+default-dev (= ${binary:Version}),
 librust-smol-1+default-dev (= ${binary:Version}),
 librust-smol-1-dev (= ${binary:Version}),
 librust-smol-1.2-dev (= ${binary:Version}),
 librust-smol-1.2.5-dev (= ${binary:Version}),
Description: small and fast async runtime - Rust source code
 smol is a small and fast async runtime,
 simply re-exporting other smaller async crates.
 .
 This package contains the source
 for the Rust smol crate,
 packaged for use with cargo and dh-cargo.
